h31644
s 00056/00000/00000
d D 1.1 83/03/23 16:16:05 bog 1 0
c date and time created 83/03/23 16:16:05 by bog
e
u
4
U
t
T
I 1
#############################################################################
#									    #
#	This material is confidential and is furnished under		    #
#	a written license agreement.  It may not be used,		    #
#	copied or disclosed to others except in accordance		    #
#	with the terms of that agreement.				    #
#									    #
#	Copyright (C) 1982 Graphic Software Systems, Inc.		    #
#	All rights reserved.						    #
#									    #
#############################################################################
#									    #
#	Function:  							    #
#		Subroutine EmEscN (Ch)					    #
#			Input	Ch:	Character in [SPACE..DEL])	    #
#		    Emulate LCE with non-control character		    #
#									    #
#	Called By:							    #
#		Subroutine EmPoll ()					    #
#		    4012/4014 Emulator Main Polling Loop		    #
#									    #
#	Routines Called:						    #
#									    #
#############################################################################
 
Subroutine EmEscN(Ch)
CHARACTER Ch
INTEGER ChSize,ZType,ZDash
 
BEGINCOMMON
COMMON(BEAMSTATE)
COMMON(DRIVER)
COMMON(INITIALIZATION)
ENDCOMMON
 
LCE = FALSE
 
If (Ch == QUESTIONMARK) {
    Call EmAlGr(DEL)
    }
Else If ((Ch >= EIGHT) & (Ch <= SEMICOLON)) {
    ChSize = CDIFF(Ch,SEVEN)
    TEXTSIZE(YChH(ChSize))
    XCh = XChC(ChSize)
    YCh = YChC(ChSize)
    }
Else If ((Ch >= BACKQUOTE) & (Ch <= LOWW)) {
    ZType = CAND(CSHIFT(Ch,-3),3)
    ZDash = CAND(Ch,7)+1
    LINESTYLE(ZDash)
    }
Else If (Ch == DEL) {
    LCE = TRUE
    }
Return
End
E 1
